## ncal:Alarm ncal:Alarm |

## Description

Provide a grouping of component properties that define an alarm.

## Class hierarchy

        rdfs:Resource
        ├── nie:InformationElement ──┐
        ╰── ncal:UnionParentClass ───┤
                                     └── ncal:Alarm

## Properties

### The `“ncal:repeat”` property

    “ncal:repeat”          xsd:integer

This property defines the number of time the alarm should be repeated, after the initial trigger. Inspired by RFC 2445 sec. 4.8.6.2

Number of possible elements per resource (Cardinality): 1

### The `“ncal:action”` property

    “ncal:action”          ncal:AlarmAction

This property defines the action to be invoked when an alarm is triggered. Inspired by RFC 2445 sec 4.8.6.1. Originally this property had a limited set of values. They are expressed as instances of the AlarmAction class.

Number of possible elements per resource (Cardinality): Unlimited

## See also

The upstream documentation for the NCAL ontology.